from setuptools import setup, find_packages

setup(
    name='slicer',
    version='2.0',
    description='Non-planar slicing',
    url='https://code.research.uts.edu.au/bigprint/slicer-mini',
    author='Rhys Edwards',
    packages=find_packages(include=['slicer', 'slicer.*']),
    include_package_data=True,
    py_modules=['slicer'],
    python_requires='>=3.8, <3.9',
    install_requires=['pyvista',
                      'trimesh',
                      'networkx',
                      'rtree',
                      'shapely',
                      'numpy',
                      'pyclipper',
                      'pymeshfix',
                      'scipy',
                      'matplotlib',
                      'six',
                      'potpourri3d',
                      'sympy',
                      'vtk==9.1.0',
                      'gcode2contour @ git+https://code.research.uts.edu.au/bigprint/gcode2contour.git']
)
